> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/restore-rdmentryhistory.md).

# Restore-RDMEntryHistory

Restore-RDMEntryHistory ripristina una voce attiva di Remote Desktop Manager a una delle versioni precedenti.

### Sinossi

Ripristinare una voce a una versione precedente

### Sintassi

#### \_\_AllParameterSets

```
Restore-RDMEntryHistory [-History] <PSConnectionHistory> [-PassThru]
 [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Descrizione

Ripristinare una voce attiva a una delle versioni precedenti, ottenuta da Get-RDMEntryHistory. La cronologia delle password corrente viene conservata e il documento incorporato della versione, se presente, viene ripristinato. Se la cartella della versione differisce dalla cartella corrente della voce, la voce mantiene la cartella corrente e viene generato un avviso invece della richiesta interattiva mostrata dal client Windows.

### Esempi

#### Esempio 1

```powershell
PS C:\> Get-RDMEntryHistory -InputObject $id | Where-Object ModifiedDate -eq $target | Restore-RDMEntryHistory -PassThru
```

Ripristinare la voce a una versione specifica e restituire la voce ripristinata.

#### Esempio 2

```powershell
PS C:\> $currentUserName = ([xml](Get-RDMEntry $id | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            $version | Restore-RDMEntryHistory
            break
        }
```

Ripristinare la voce all'ultima versione precedente alla modifica del nome utente.

### Parametri

#### -Confirm

Richiede una conferma prima di eseguire il cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Opzione da usare con cautela. Risponderà automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di più prompt, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

La versione a cui ripristinare, ottenuta da Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Restituire la voce ripristinata.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Mostra cosa accadrebbe se il cmdlet venisse eseguito. Il cmdlet non viene eseguito.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Una versione ottenuta da Get-RDMEntryHistory

### Output

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

La voce ripristinata, quando è specificato -PassThru

### Note

Per maggiori informazioni, digiti "Get-Help Restore-RDMEntryHistory -detailed". Per informazioni tecniche, digiti "Get-Help Restore-RDMEntryHistory -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/restore-rdmentryhistory.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
